## linux 4.19.16

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 4
PATCHLEVEL = 19
SUBLEVEL = 16
EXTRAVERSION =
NAME = "People's Front"

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# That's our default target when none is given on the command line
PHONY := _all
_all:

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(filter-out --%,$(MAKEFLAGS))),)
  quiet=silent_
  tools_silent=s
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is not intended to be used by the regular user (for now),
# it is set on invocation of make with KBUILD_OUTPUT or O= specified.
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif

export KBUILD_CHECKSRC KBUILD_EXTMOD KBUILD_SRC

objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg
no-sync-config-targets := $(no-dot-config-targets) install %install \
			   kernelrelease

config-targets  := 0
mixed-targets   := 0
dot-config      := 1
may-sync-config := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config := 0
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config := 0
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
                        mixed-targets := 1
                endif
        endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
                mixed-targets := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
	        mixed-targets := 1
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(filter-out __build_one_by_one, $(MAKECMDGOALS)): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOST_LFS_CFLAGS := $(shell getconf LFS_CFLAGS 2>/dev/null)
HOST_LFS_LDFLAGS := $(shell getconf LFS_LDFLAGS 2>/dev/null)
HOST_LFS_LIBS := $(shell getconf LFS_LIBS 2>/dev/null)

HOSTCC       = gcc
HOSTCXX      = g++
KBUILD_HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 \
		-fomit-frame-pointer -std=gnu89 $(HOST_LFS_CFLAGS) \
		$(HOSTCFLAGS)
KBUILD_HOSTCXXFLAGS := -O2 $(HOST_LFS_CFLAGS) $(HOSTCXXFLAGS)
KBUILD_HOSTLDFLAGS  := $(HOST_LFS_LDFLAGS) $(HOSTLDFLAGS)
KBUILD_HOSTLDLIBS   := $(HOST_LFS_LIBS) $(HOSTLDLIBS)

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
LEX		= flex
YACC		= bison
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
PYTHON2		= python2
PYTHON3		= python3

=== debian/changelog ===
linux (4.19.16-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.14
    - ax25: fix a use-after-free in ax25_fillin_cb()
    - gro_cell: add napi_disable in gro_cells_destroy
    - ip6mr: Fix potential Spectre v1 vulnerability
    - ipv4: Fix potential Spectre v1 vulnerability
    - ipv6: explicitly initialize udp6_addr in udp_sock_create6()
    - ipv6: tunnels: fix two use-after-free
    - ip: validate header length on virtual device xmit
    - isdn: fix kernel-infoleak in capi_unlocked_ioctl
    - net/wan: fix a double free in x25_asy_open_tty()
    - packet: validate address length
    - packet: validate address length if non-zero
    - ptr_ring: wrap back ->producer in __ptr_ring_swap_queue()
    - sctp: initialize sin6_flowinfo for ipv6 addrs in sctp_inet6addr_event
    - tipc: compare remote and local protocols in tipc_udp_enable()
    - tipc: fix a double free in tipc_enable_bearer()
    - tipc: fix a double kfree_skb()
    - ipv6: frags: Fix bogus skb->sk in reassembled packets
    - ipv6: route: Fix return value of ip6_neigh_lookup() on neigh_create()
      error
    - ALSA: rme9652: Fix potential Spectre v1 vulnerability
    - ALSA: emu10k1: Fix potential Spectre v1 vulnerabilities
    - ALSA: pcm: Fix potential Spectre v1 vulnerability
    - ALSA: emux: Fix potential Spectre v1 vulnerabilities
    - powerpc/fsl: Fix spectre_v2 mitigations reporting
    - usb: r8a66597: Fix a possible concurrency use-after-free bug in
      r8a66597_endpoint_disable()
    - [s390x] s390/pci: fix sleeping in atomic during hotplug
    - [x86] x86/speculation/l1tf: Drop the swap storage limit restriction when
      l1tf=off
    - [x86] x86/mm: Drop usage of __flush_tlb_all() in
      kernel_physical_mapping_init()
    - [x86] KVM: x86: Use jmp to invoke kvm_spurious_fault() from .fixup
    - [arm64] arm64: KVM: Make VHE Stage-2 TLB invalidation operations
      non-interruptible
    - perf pmu: Suppress potential format-truncation warning
    - perf env: Also consider env->arch == NULL as local operation
    - ext4: fix possible use after free in ext4_quota_enable
    - ext4: missing unlock/put_page() in ext4_try_to_write_inline_data()
    - ext4: include terminating u32 in size of xattr entries when expanding
      inodes
    - ext4: force inode writes when nfsd calls commit_metadata()
    - ext4: check for shutdown and r/o file system in ext4_write_inode()
    - [armhf,arm64] spi: bcm2835: Fix race on DMA termination
    - [armhf,arm64] spi: bcm2835: Fix book-keeping of DMA termination
    - [armhf,arm64] spi: bcm2835: Avoid finishing transfer prematurely in IRQ
      mode
    - btrfs: dev-replace: go back to suspended state if target device is missing
    - btrfs: dev-replace: go back to suspend state if another EXCL_OP is running
    - btrfs: skip file_extent generation check for free_space_inode in
      run_delalloc_nocow
    - Btrfs: fix fsync of files with multiple hard links in new directories
    - btrfs: run delayed items before dropping the snapshot
    - Btrfs: send, fix race with transaction commits that create snapshots
    - brcmfmac: Fix out of bounds memory access during fw load
    - dax: Don't access a freed inode
    - f2fs: read page index before freeing
    - f2fs: sanity check of xattr entry size
    - media: imx274: fix stack corruption in imx274_read_reg
    - media: v4l2-tpg: array index could become negative
    - tools lib traceevent: Fix processing of dereferenced args in bprintk
      events
    - [mips*] MIPS: math-emu: Write-protect delay slot emulation pages
    - [mips*] MIPS: Ensure pmd_present() returns false after pmd_mknotpresent()
    - [mips*] MIPS: Align kernel load address to 64KB
    - [mips*] MIPS: Expand MIPS32 ASIDs to 64 bits
    - CIFS: Fix error mapping for SMB2_LOCK command which caused OFD lock
      problem
    - smb3: fix large reads on encrypted connections
    - [arm*] KVM: arm/arm64: vgic: Cap SPIs to the VM-defined maximum
    - [arm*] KVM: arm/arm64: vgic-v2: Set active_source to 0 when restoring
      state
    - [arm*] KVM: arm/arm64: vgic: Fix off-by-one bug in vgic_get_irq()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.15
    - IB/core: Fix oops in netdev_next_upper_dev_rcu()
    - xfrm: Fix NULL pointer dereference in xfrm_input when skb_dst_force
      clears the dst_entry.
    - ieee802154: hwsim: fix off-by-one in parse nested
    - netfilter: seqadj: re-load tcp header pointer after possible head
      reallocation
    - scsi: bnx2fc: Fix NULL dereference in error handling
    - [ppc64el] ibmvnic: Convert reset work item mutex to spin lock
    - [ppc64el] ibmvnic: Fix non-atomic memory allocation in IRQ context
    - [x86] x86/mm: Fix guard hole handling
    - i40e: fix mac filter delete when setting mac address
    - ixgbe: Fix race when the VF driver does a reset
    - netfilter: nat: can't use dst_hold on noref dst
    - bnx2x: Clear fip MAC when fcoe offload support is disabled
    - bnx2x: Remove configured vlans as part of unload sequence.
    - bnx2x: Send update-svid ramrod with retry/poll flags enabled
    - mt76: fix potential NULL pointer dereference in mt76_stop_tx_queues
    - [x86] x86, hyperv: remove PCI dependency
    - [arm64] net: hns: All ports can not work when insmod hns ko after rmmod.
    - [arm64] net: hns: Fixed bug that netdev was opened twice
    - [arm64] net: hns: Clean rx fbd when ae stopped.
    - [arm64] net: hns: Avoid net reset caused by pause frames storm
    - [arm64] net: hns: Add mac pcs config when enable|disable mac
    - [arm64] net: hns: Fix ping failed when use net bridge and send multicast
    - mac80211: fix a kernel panic when TXing after TXQ teardown
    - [arm64,riscv64] net: macb: fix random memory corruption on RX with
      64-bit DMA
    - [arm64.risvv64] net: macb: fix dropped RX frames due to a race
    - lan78xx: Resolve issue with changing MAC address


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.99~) <!stage1 !pkg.linux.nokernel>, kmod <!stage1 !pkg.linux.nokernel>, bc <!stage1 !pkg.linux.nokernel>, libssl-dev:native <!stage1 !pkg.linux.nokernel>, libssl-dev <!stage1 !pkg.linux.notools>, openssl (>= 1.1.0-1~) <!stage1 !pkg.linux.nokernel>, libelf-dev:native [amd64] <!stage1 !pkg.linux.nokernel>, libelf-dev <!stage1 !pkg.linux.notools>, gcc-8 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64] <!stage1 !cross>, gcc-8-alpha-linux-gnu [alpha] <!stage1 cross>, gcc-8 (>= 8-20180123-1~) [amd64 i386] <!stage1 !cross>, gcc-8-x86-64-linux-gnu (>= 8-20180123-1~) [amd64 i386] <!stage1 cross>, gcc-8-aarch64-linux-gnu [arm64] <!stage1 cross>, gcc-8-arm-linux-gnueabi [armel] <!stage1 cross>, gcc-8-arm-linux-gnueabihf [armhf] <!stage1 cross>, gcc-8-hppa-linux-gnu [hppa] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1>, gcc-8-hppa64-linux-gnu [hppa] <!stage1>, gcc-8-ia64-linux-gnu [ia64] <!stage1 cross>, gcc-8-m68k-linux-gnu [m68k] <!stage1 cross>, gcc-8-mips-linux-gnu [mips] <!stage1 cross>, gcc-8-mips64-linux-gnuabi64 [mips64] <!stage1 cross>, gcc-8-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross>, gcc-8-mipsisa64r6-linux-gnuabi64 [mips64r6] <!stage1 cross>, gcc-8-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <!stage1 cross>, gcc-8-mipsel-linux-gnu [mipsel] <!stage1 cross>, gcc-8-mipsisa32r6-linux-gnu [mipsr6] <!stage1 cross>, gcc-8-mipsisa32r6el-linux-gnu [mipsr6el] <!stage1 cross>, gcc-8-powerpc-linux-gnu [powerpc] <!stage1 cross>, gcc-8-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross>, gcc-8-powerpc64-linux-gnu [ppc64] <!stage1 cross>, gcc-8-powerpc64le-linux-gnu [ppc64el] <!stage1 cross>, gcc-8-riscv64-linux-gnu [riscv64] <!stage1 cross>, gcc-8-s390x-linux-gnu [s390x] <!stage1 cross>, gcc-8-sh4-linux-gnu [sh4] <!stage1 cross>, gcc-8-sparc64-linux-gnu [sparc64] <!stage1 cross>, libpci-dev [linux-any] <!stage1 !pkg.linux.notools>, autoconf [linux-any] <!stage1 !pkg.linux.notools>, automake [linux-any] <!stage1 !pkg.linux.notools>, libtool [linux-any] <!stage1 !pkg.linux.notools>, libglib2.0-dev [linux-any] <!stage1 !pkg.linux.notools>, libudev-dev [linux-any] <!stage1 !pkg.linux.notools>, libwrap0-dev [linux-any] <!stage1 !pkg.linux.notools>, rsync [linux-any] <!stage1 !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !nodoc !pkg.linux.notools !nopython>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!stage1 !pkg.linux.notools !nopython>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el s390 s390x sh4 sparc sparc64] <!stage1 !pkg.linux.notools !nopython>
Build-Depends-Indep: patchutils <!stage1 !pkg.linux.nosource>, graphviz <!stage1 !nodoc>, python3-sphinx <!stage1 !nodoc>, python3-sphinx-rtd-theme <!stage1 !nodoc>, texlive-latex-base <!stage1 !nodoc>, texlive-latex-extra <!stage1 !nodoc>, dvipng <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-source-4.19
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc, linux-config-4.19
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.19 with Debian patches
 This package provides source code for the Linux kernel version 4.19. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1 !pkg.linux.nosource>
Multi-Arch: foreign

Package: linux-support-4.19.0-2
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.19
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.19
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.19
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.19.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.19/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: lockdep
Architecture: all
Section: devel
Depends: ${misc:Depends}, liblockdep4.19
Recommends: liblockdep-dev
Description: Runtime locking correctness validator
 lockdep is a wrapper for programs that use the pthreads API, which detects
 actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: allowed

Package: liblockdep4.19
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime locking correctness validator (shared library)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: liblockdep-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}, liblockdep4.19 (= ${binary:Version})
Description: Runtime locking correctness validator (development files)
 liblockdep is a library for programs that use the pthreads API, which can
 be used to detect actual and potential deadlocks and other locking bugs.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: same

Package: libbpf4.19

=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-2-alpha-generic [alpha], linux-image-4.19.0-2-alpha-smp [alpha], linux-image-4.19.0-2-amd64-unsigned [amd64], linux-image-4.19.0-2-cloud-amd64-unsigned [amd64], linux-image-4.19.0-2-rt-amd64-unsigned [amd64], linux-image-4.19.0-2-arm64-unsigned [arm64], linux-image-4.19.0-2-rt-arm64-unsigned [arm64], linux-image-4.19.0-2-marvell [armel], linux-image-4.19.0-2-armmp [armhf], linux-image-4.19.0-2-armmp-lpae [armhf], linux-image-4.19.0-2-rt-armmp [armhf], linux-image-4.19.0-2-parisc [hppa], linux-image-4.19.0-2-parisc-smp [hppa], linux-image-4.19.0-2-parisc64-smp [hppa], linux-image-4.19.0-2-686-unsigned [i386], linux-image-4.19.0-2-686-pae-unsigned [i386], linux-image-4.19.0-2-rt-686-pae-unsigned [i386], linux-image-4.19.0-2-itanium [ia64], linux-image-4.19.0-2-mckinley [ia64], linux-image-4.19.0-2-m68k [m68k], linux-image-4.19.0-2-4kc-malta [mips mipsel], linux-image-4.19.0-2-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-2-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-2-loongson-3 [mips64el mipsel], linux-image-4.19.0-2-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-2-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-2-mips32r6 [mipsr6], linux-image-4.19.0-2-mips32r6el [mipsr6el], linux-image-4.19.0-2-powerpc [powerpc], linux-image-4.19.0-2-powerpc-smp [powerpc], linux-image-4.19.0-2-powerpc64 [powerpc ppc64], linux-image-4.19.0-2-powerpcspe [powerpcspe], linux-image-4.19.0-2-powerpc64le [ppc64el], linux-image-4.19.0-2-riscv64 [riscv64], linux-image-4.19.0-2-s390x [s390x], linux-image-4.19.0-2-sh7751r [sh4], linux-image-4.19.0-2-sh7785lcr [sh4], linux-image-4.19.0-2-sparc64 [sparc64], linux-image-4.19.0-2-sparc64-smp [sparc64]
Classes: smp
